#include "drawing.h"
#include <cmath>

void draw (int w, int h)
{
    color (255, 0, 0);
    line (0, 0, w-1, 0);

    color (0, 255, 0);
    line (w-1, 0, w-1, h-1);

    color (0, 0, 255);
    line (w-1, h-1, 0, h-1);

    color (255, 200, 0);
    line (0, h-1, 0, 0);

    color (0, 255, 0);
    line (0, h/2, w-1, h/2);

    color (0, 0, 255);
    int last_x, last_y;

    for (int i = 1; i < w-1; i++)
    {
       double x = i * 2 * M_PI / w;
       double y = sin (x);

       int point_x = i;
       int point_y = h/2 - round (y / 1.1 * h/2);

       if (i > 1)
          line (last_x, last_y, point_x, point_y);

       last_x = point_x;
       last_y = point_y;
    }
}
