#include "picturewidget.h"
#include "drawing.h"
#include <QPainter>

QPainter * painter;
QPainter * getPainter () { return painter; }
void setPainter (QPainter * p) { painter = p; }

void color (int r, int g, int b)
{
    painter->setPen (QColor::fromRgb (r, g, b));
}

void line (int x1, int y1, int x2, int y2)
{
    painter->drawLine (x1, y1, x2, y2);
}

/*
int getPixel (int x, int y)
{
}
*/

PictureWidget::PictureWidget(QWidget *parent) : QWidget(parent)
{

}

void PictureWidget::paintEvent(QPaintEvent *event)
{
    QPainter * p = new QPainter (this);
    setPainter (p);
    draw (this->width(), this->height());
    setPainter (NULL);
    delete p;
}
